Bug 359941 - Review Request: drupal-calendar - This module will display any Views date field in calendar formats
Review Request: drupal-calendar - This module will display any Views date fie...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sven Lankes
Fedora Extras Quality Assurance
Depends On: 359911 359931
  Show dependency treegraph
Reported: 2007-10-31 07:13 EDT by Jon Ciesla
Modified: 2010-01-07 09:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-01-07 09:13:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sven: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Jon Ciesla 2007-10-31 07:13:58 EDT
Spec URL: http://zanoni.jcomserv.net/fedora/drupal-calendar/drupal-calendar.spec
SRPM URL: http://zanoni.jcomserv.net/fedora/drupal-calendar/drupal-calendar-1.7-1.fc7.src.rpm
Description: This module will display any Views date field in calendar formats, 
including CCK date fields, Event module event fields, node created or 
updated dates, etc. Switch between year, month, and day views. Back and 
next navigation is provided for all views.
Comment 1 Mamoru TASAKA 2007-10-31 14:58:28 EDT
Please check the dependency for drupal related packages you submitted
recently and add properly the bug members to "depends on" or "blocks"
columns so that reviewers can find out which reviews must be checked
first easily.
Comment 2 Jon Ciesla 2007-11-01 07:28:36 EDT
Done.  Let me know if I missed anything.
Comment 3 Jon Ciesla 2008-02-22 13:24:33 EST
Drupal 6.0 is hitting rawhide, the 6.x version of this module is not yet ready.
Comment 5 Sven Lankes 2008-08-21 06:51:47 EDT
This seems to have the same issue with duplicate packaged %doc-Files as the other two drupal-modules I have reviewed.
Comment 8 Sven Lankes 2008-12-28 18:48:18 EST
I'm going to review this.

As far as I can see the only hint as to under which license the code is seems to be the included copy of the GPLv2 - not enough to be sure IMO.

I have opened a bug on the drupal-site requesting 'proper' license-information being added: http://drupal.org/node/351895
Comment 9 Jon Ciesla 2008-12-29 10:30:55 EST
Thanks, post back with developments.
Comment 11 Jon Ciesla 2009-12-15 15:45:34 EST
Sven, I skipped looking at the ticket you opened.  Looks like they closed it.  Given the explanation they give, do you think copying or linking that statement is sufficient?
Comment 12 Sven Lankes 2010-01-02 18:54:34 EST
Sorry - I totally missed the fact that the drupal-bug was answered and closed. 

I looked into the licensing again and according to the drupal site every module 
that is included in the drupal cvs has to be licensed under the same terms as 
drupal itself (which is GPLv2+).

So please fix the license tag in the spec I'll do a full review ASAP (I just skimmed through the spec, did a mock build and installed it on a drupal instance without issues so it should be good to go).

BTW: drupal-views and drupal-cck also have GPLv2 as license - they should probably be fixed at least for rawhide.
Comment 14 Sven Lankes 2010-01-04 16:13:37 EST
Package Review

 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
       Tested on: f12/x86_64
 [x] Rpmlint output:
       source RPM: empty
       binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type:GPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     SHA1SUM of package: 07ef837f91179cd0f01c8ca86f1b459f58f1f1cf  calendar-6.x-2.2.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.

 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: f12/x86_64
 [x] Package should compile and build into binary rpms on all supported
     Tested on: x86_64
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.

Comment 15 Sven Lankes 2010-01-04 16:17:24 EST
Ups - wrong srpm - the the most recent spec you forgot to bump the release tag. Please fix before importing.
Comment 16 Jon Ciesla 2010-01-05 08:39:18 EST
Will do, thanks, and thanks for the review!

New Package CVS Request
Package Name: drupal-calendar
Short Description: This module will display any Views date field in calendar formats
Owners: limb 
Branches: F-12 F-11
Comment 17 Kevin Fenzi 2010-01-06 16:39:05 EST
cvs done.
Comment 18 Jon Ciesla 2010-01-07 09:13:11 EST
Imported and build.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.